Main.c File Reference

app main More...

`#include "audio.h"`
`#include "Board_DAC.h"`
`#include "Welcome.h"`
`#include "Board_ADC.h"`
Include dependency graph for Main.c:

## Functions

static void | vMainInitApp (void)
| initialize app More...
static void | vPrintQr (void)
| print Qr code from array More...
static bool | bCheckButton (void)
static void | vUpdateVolume (void)
int | main (void)
| app entry point More...

## Variables

uint32_t | au32QrCode [25]

## Detailed Description

app main

Author
  Hendrik Schutter

Version
  V1.0

Date
  14.11.2020

This file contains the main app function and init.

## Function Documentation

## bCheckButton()

static bool bCheckButton | ( | void |  | ) |

static

Here is the caller graph for this function:

## main()

int main | ( | void |  | ) |

app entry point

Parameters

  void |

Returns
  int

Author
  hendrik schutter

Date
  14.11.2020

Here is the call graph for this function:

## vMainInitApp()

static void vMainInitApp | ( | void |  | ) |

static

initialize app

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  14.11.2020

Here is the caller graph for this function:

## vPrintQr()

static void vPrintQr | ( | void |  | ) |

static

print Qr code from array

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  14.11.2020

Here is the caller graph for this function:

## vUpdateVolume()

static void vUpdateVolume | ( | void |  | ) |

static

Here is the caller graph for this function:

## Variable Documentation

## au32QrCode

uint32_t au32QrCode[25]

Initial value:
=
{
0x1FC897F,
0x105BE41,
0x174E55D,
0x175A85D,
0x174555D,
0x1054B41,
0x1FD557F,
0x1400,
0x1F7DBAA,
0xF08422,
0x15B31B,
0x48E1C1,
0xEFA8D7,
0x15BDCAA,
0x12703FB,
0x1589271,
0x1161DF4,
0x1C918,
0x1FDB557,
0x1042118,
0x175E3F7,
0x1759A5F,
0x1758D0D,
0x1055BB9,
0x1FDD43F
}